package com.qmth.paper.library.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 数据检查
 */
public class PaperLibraryResult implements Serializable {

    @ApiModelProperty(value = "学生姓名")
    private String studentName;
    @ApiModelProperty(value = "学号")
    private String studentCode;
    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "学院")
    private String collegeName;
    @ApiModelProperty(value = "专业")
    private String majorName;
    @ApiModelProperty(value = "班级")
    private String className;
    @ApiModelProperty(value = "任课老师")
    private String teacher;
    @ApiModelProperty(value = "教学班")
    private String teachClass;
    @ApiModelProperty(value = "绑定图片数量")
    private int bindCount;
    @ApiModelProperty(value = "分数")
    private Double score;
    @ApiModelProperty(value = "图片访问地址（解析后地址）")
    private List<PaperLibraryImageResult> fileUrls;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getTeachClass() {
        return teachClass;
    }

    public void setTeachClass(String teachClass) {
        this.teachClass = teachClass;
    }

    public int getBindCount() {
        return bindCount;
    }

    public void setBindCount(int bindCount) {
        this.bindCount = bindCount;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public List<PaperLibraryImageResult> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<PaperLibraryImageResult> fileUrls) {
        this.fileUrls = fileUrls;
    }
}
